Appium Error: Could not initialize ideviceinstaller; make sure it is installed and works on your system

vivian_lhx · April 14, 2015 · Last by xiaoxiaogou replied at May 31, 2015 · 1653 hits

有人遇到这样的问题吗,看了网上好多的解决方案,试验了都没有用呀

info: [debug] No iOS / app preferences to set
info[3
9m: [debug] Starting iOS device log capture via deviceconsole

info: [debug] Not pre-launching simulator

error: Could not initialize ideviceinstaller; make sure it is installed and works on your system

info: [debug] Creating iDevice object with udid
info: [debug] Couldn't find ideviceinstaller, trying built-in at /Applications/Appium.app/Contents/Resources/node_modules/appium/build/libimobiledevice-macosx/ideviceinstaller
info: [debug] Cleaning up appium session

error: Failed to start an Appium session, err was: Error: Could not initialize ideviceinstaller; make sure it is installed and works on your system

info: [debug] Error: Could not initialize ideviceinstaller; make sure it is installed and works on your system
at IOS.getIDeviceObj (/Applications/Appium.app/Contents/Resources/node_modules/appium/lib/devices/ios/ios.js:906:13)
at IOS.installToRealDevice (/Applications/Appium.app/Contents/Resources/node_modules/appium/lib/devices/ios/ios.js:853:32)
at /Applications/Appium.app/Contents/Resources/node_modules/appium/node_modules/async/lib/async.js:610:21
at /Applications/Appium.app/Contents/Resources/node_modules/appium/node_modules/async/lib/async.js:249:17
at iterate (/Applications/Appium.app/Contents/Resources/node_modules/appium/node_modules/async/lib/async.js:149:13)
at /Applications/Appium.app/Contents/Resources/node_modules/appium/node_modules/async/lib/async.js:160:25
at /Applications/Appium.app/Contents/Resources/node_modules/appium/node_modules/async/lib/async.js:251:21
at /Applications/Appium.app/Contents/Resources/node_modules/appium/node_modules/async/lib/async.js:615:34
at IOS.prelaunchSimulator (/Applications/Appium.app/Contents/Resources/node_modules/appium/lib/devices/ios/ios.js:1189:12)
at /Applications/Appium.app/Contents/Resources/node_modules/appium/node_modules/async/lib/async.js:610:21
info: [debug] Responding to client with error: {"status":33,"value":{"message":"A new session could not be created. (Original error: Could not initialize ideviceinstaller; make sure it is installed and works on your system)","origValue":"Could not initialize ideviceinstaller; make sure it is installed and works on your system"},"sessionId":null}
info: <-- POST /wd/hub/session 500 1259.538 ms - 300

共收到 6 条回复 时间 点赞

请提供你的环境信息:
appium版本
appium类型(npm,app,exe,源码)

另外,试试brew install ideviceinstaller,不知道brew是什么麻烦自行百度。

楼主,这个问题解决了吗?我也卡在这个问题了

#1楼 @chenhengjie123
appledeMacBook-Air:~ apple$ brew install ideviceinstaller
Cowardly refusing to continue at this prefix: /
这是咋回事呢

#1楼 @chenhengjie123
appium版本1.3.7
npm版本2.10.1

#3楼 @bajao 没遇到过。。。
看起来你的 brew 有问题。你更新或重装 homebrew 试试?

楼主解决此问题了吗

需要 Sign In 后方可回复, 如果你还没有账号请点击这里 Sign Up